%global __cmake_in_source_build 1

Name:      spatialindex
Version:   1.9.3
Release:    1%{?dist}
Summary:   Spatial index library 
License:   MIT
URL:       http://libspatialindex.org
Source0:   https://github.com/libspatialindex/libspatialindex/releases/download/%{version}/%{name}-src-%{version}.tar.bz2

BuildRequires: make
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  cmake

%description
Spatialindex provides a general framework for developing spatial indices.
Currently it defines generic interfaces, provides simple main memory and
disk based storage managers and a robust implementation of an R*-tree,
an MVR-tree and a TPR-tree.

%package devel
Summary: Development files for %{name}
Requires: %{name} = %{version}-%{release}

%description devel
Development files for %{name}.


%prep
%autosetup -n %{name}-src-%{version} -p1


%build
%cmake .
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}






%files 
%license COPYING
%doc AUTHORS ChangeLog
%{_libdir}/lib%{name}*.so.*

%files devel
%{_includedir}/%{name}
%{_libdir}/lib%{name}*.so


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.3-1
- initial build
